Bug 1109284 (CVE-2014-4047) - CVE-2014-4047 asterisk: DoS due to Exhaustion of Allowed Concurrent HTTP Connections (AST-2014-007)
Summary: CVE-2014-4047 asterisk: DoS due to Exhaustion of Allowed Concurrent HTTP Conn...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2014-4047
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1109285 1109286
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-13 14:49 UTC by Vasyl Kaigorodov
Modified: 2019-09-29 13:18 UTC (History)
5 users (show)

Fixed In Version: asterisk 1.8.28.1, asterisk 11.10.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:33:36 UTC


Attachments (Terms of Use)

Description Vasyl Kaigorodov 2014-06-13 14:49:53 UTC
Establishing a TCP or TLS connection to the configured HTTP
or HTTPS port respectively in http.conf and then not
sending or completing a HTTP request will tie up a HTTP
session. By doing this repeatedly until the maximum number
of open HTTP sessions is reached, legitimate requests are
blocked.

Upstream patches:

1.8.x: http://downloads.asterisk.org/pub/security/AST-2014-007-1.8.diff
11.x: http://downloads.asterisk.org/pub/security/AST-2014-007-11.diff

External refernces:

https://issues.asterisk.org/jira/browse/ASTERISK-23673
http://downloads.digium.com/pub/security/AST-2014-007.html

Comment 1 Vasyl Kaigorodov 2014-06-13 14:50:25 UTC
Created asterisk tracking bugs for this issue:

Affects: fedora-all [bug 1109285]
Affects: epel-6 [bug 1109286]

Comment 2 Fedora Update System 2014-09-19 10:06:16 UTC
asterisk-11.10.2-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2014-09-19 10:12:03 UTC
asterisk-11.10.2-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Product Security DevOps Team 2019-06-08 02:33:36 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.